Bug 537097

Summary: SELinux is preventing /usr/bin/eu-unstrip "read" access on silverlight-media-pack-linux-x86-5-1.so.
Product: [Fedora] Fedora Reporter: Yigit Gunduc <yigit.gunduc>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:f0b90c7460a6777613c3fe2efbe93a5db447c404569532755401b1d3a9ad1623
Fixed In Version: 3.6.32-46.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-24 07:48:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Yigit Gunduc 2009-11-12 14:20:39 UTC
Summary:

SELinux is preventing /usr/bin/eu-unstrip "read" access on
silverlight-media-pack-linux-x86-5-1.so.

Detailed Description:

[eu-unstrip has a permissive type (abrt_t). This access was not denied.]

SELinux denied access requested by eu-unstrip. It is not expected that this
access is required by eu-unstrip and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0
Target Context                unconfined_u:object_r:mozilla_home_t:s0
Target Objects                silverlight-media-pack-linux-x86-5-1.so [ file ]
Source                        eu-unstrip
Source Path                   /usr/bin/eu-unstrip
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           elfutils-0.143-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7
                              21:25:57 EST 2009 i686 i686
Alert Count                   2
First Seen                    Wed 11 Nov 2009 10:02:14 AM EET
Last Seen                     Wed 11 Nov 2009 10:02:14 AM EET
Local ID                      3d3a8cd0-2677-43bc-a958-2450e76087a0
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1257926534.880:54795): avc:  denied  { read } for  pid=3300 comm="eu-unstrip" name="silverlight-media-pack-linux-x86-5-1.so" dev=sda4 ino=726370 scontext=system_u:system_r:abrt_t:s0 tcontext=unconfined_u:object_r:mozilla_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1257926534.880:54795): avc:  denied  { open } for  pid=3300 comm="eu-unstrip" name="silverlight-media-pack-linux-x86-5-1.so" dev=sda4 ino=726370 scontext=system_u:system_r:abrt_t:s0 tcontext=unconfined_u:object_r:mozilla_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1257926534.880:54795): arch=40000003 syscall=5 success=yes exit=147 a0=863b4a0 a1=8000 a2=0 a3=86229b0 items=0 ppid=2540 pid=3300 auid=4294967295 uid=500 gid=501 euid=500 suid=500 fsuid=500 egid=501 sgid=501 fsgid=501 tty=(none) ses=4294967295 comm="eu-unstrip" exe="/usr/bin/eu-unstrip" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,eu-unstrip,abrt_t,mozilla_home_t,file,read
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t mozilla_home_t:file { read open };

Comment 1 Daniel Walsh 2009-11-12 14:38:27 UTC
Fixed in selinux-policy-3.6.32-44.fc12.noarch

Comment 2 Fedora Update System 2009-11-16 19:37:53 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 3 Fedora Update System 2009-11-18 14:11:45 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 4 Fedora Update System 2009-11-24 07:46:43 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.